netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
test.h File Reference
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/cnid.h>`
`#include <atalk/directory.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/queue.h>`
`#include <atalk/util.h>`
`#include <atalk/volume.h>`
`#include "afp_config.h"`
`#include "dircache.h"`
`#include "directory.h"`
`#include "hash.h"`
`#include "subtests.h"`
`#include "volume.h"`

Go to the source code of this file.

## Macros
#define | TEST(a)
#define | TEST_int(a, b)
#define | TEST_expr(a, b)

## Functions
static void | alignok (int len)

## Macro Definition Documentation

## ◆ TEST

#define TEST | ( |  | a | ) |

Value:
printf("Testing: %s ... ", (#a) ); \
alignok(strlen(#a)); \
a; \
printf("[ok]\n");

## ◆ TEST_expr

#define TEST_expr | ( |  | a,
|  |  | b )

Value:
printf("Testing: %s ... ", (#a) ); \
alignok(strlen(#a)); \
a; \
if (b) { \
printf("[ok]\n"); \
} else { \
printf("[error]\n"); \
exit(1); \
}

## ◆ TEST_int

#define TEST_int | ( |  | a,
|  |  | b )

Value:
printf("Testing: %s ... ", (#a) ); \
alignok(strlen(#a)); \
if ((reti = (a)) != b) { \
printf("[error]\n"); \
exit(1); \
} else { printf("[ok]\n"); }
reti
static int reti
Definition subtests.c:40

## Function Documentation

## ◆ alignok()

void alignok | ( | int | len | ) |
| inline static